Contents

# Sin Function

Sayiinii kofa deebisi.Kofni raadiyaaniin ibsama.Gatiin gidduu -1 fi 1 oola.

Using the angle Alpha, the Sin function returns the ratio of the length of the opposite side of an angle to the length of the hypotenuse in a right-angled triangle.

Sin(Alpha) = side opposite the angle/hypotenuse

### Syntax:

    Sin (Number As Double) As Double

### Return value:

Double

### Parameters:

Lakkoofsa: Himannoon lakkoofsa kofa raadiyaaniin kan mul'isu Saayinii shallaguu barbaaddef.

To convert degrees to radians, multiply degrees by Pi/180, and to convert radians to degrees, multiply radians by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi is approximately 3.141593.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    REM Fakkeenya kana keessaatti, aseentuun rog-sadee sirrii armaan gadiif ni danda'ama.
    REM rogni faallaa kofaa fi kofni(diigriidhaan)dheerina hayipootinasii shallaguuf.
    Sub ExampleSine
    REM Pi = 3.1415926 is a predefined variable
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Enter the length of the opposite side: ","Opposite Side")
        dAlpha = InputBox("Enter the angle Alpha (in degrees): ","Alpha")
        Print "The length of the hypotenuse is"; (d1 / sin (dAlpha * Pi / 180))
    End Sub

Matadureewwan Walfakkatan

Atn Function

Cos Function

Tan Function